# $Revision: 1.38 $, $Date: 2007/01/23 15:47:01 $
%bcond_without	ipv6		# disable IPv6 support

%define		mod_name	throttle
%define 	apxs		/usr/sbin/apxs1
Summary:	Bandwidth & Request Throttling for Apache
Summary(cs):	Omezen sovho provozu pro Apache
Summary(de):	Ein Modul, das die Bandbreiten- und Anforderungseinschrnkung fr Apache implementiert
Summary(es):	Mdulo que implementa la gestin de ancho de banda y peticiones para Apache
Summary(fr):	Module qui met en oeuvre la bande passante et l'tranglement requis pour Apache
Summary(it):	Modulo che implementa la larghezza di banda e la richiesta di throttling per Apache
Summary(ja):	Apache Ӱ׵᥹åȥ⥸塼
Summary(pl):	Tumienie przepustowoci i zapyta dla Apache'a
Summary(pt_BR):	Descompresso "On-the-fly" de arquivos HTML para o Apache
Summary(sv):	En modul som implementerar bandvidd- och begranbegrnsningar i Apache
Name:		apache1-mod_%{mod_name}
Version:	3.1.2
Release:	4
License:	BSD-like
Group:		Networking/Daemons
Source0:	http://www.snert.com/Software/mod_throttle/mod_throttle312.tgz
# Source0-md5:	6edc45c3ea8a0855d4b0b14cf0f76404
Patch0:		apache1-mod_throttle-PLD-v6stuff.patch
URL:		http://www.snert.com/Software/mod_throttle/
BuildRequires:	%{apxs}
#{?with_ipv6:BuildRequires:	apache1(ipv6)-devel}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_throttle <= 3.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define		_pkglogdir	%(%{apxs} -q PREFIX 2>/dev/null)/logs

%description
This Apache module is intended to reduce the load on your server &
bandwidth generated by popular virtual hosts, directories, locations,
or users according to supported polices (see below) that decide when
to delay or refuse requests. Also mod_throttle can track and throttle
incoming connections by IP address or by authenticated remote user.

%description -l cs
Balek mod_throttle obsahuje modul, kter umouje omezit prtok dat,
kter odchzej z WWW serveru Apache. Limity mohou bt nastaveny pro
jednotliv virtuln weby, adrese, umstn nebo autentizovan
uivatele.

%description -l de
Mod_throttle kann verwendet werden, um die Datenmenge zu beschrnken,
die Ihr Web-Server behandelt. Diese Einschrnkungen knnen fr
einzelne virtuelle Rechner, Verzeichnisse, Speicherstellen oder
authentifizierte Benutzer eingestellt werden.

%description -l es
Mod_throttle puede usarse para limitar la cantidad de datos que su
servidor web va a servir. Estos lmites se pueden configurar para
hosts virtuales individuales, directorios, lugares o usuarios
autenticados.

%description -l fr
Mod_throttle peut tre utilis pour limiter la quantit de donnes
servies par votre serveur Web. Ces limites peuvent tre dfinies pour
des htes virtuels individuels, rpertoires, emplacements ou
utilisateurs authentifis.

%description -l it
Mod_throttle pu essere usato per limitare la quantit di dati che il
server Web dovr servire. Queste limitazioni possono essere
configurate per singoli host virtuali, directory, indirizzi o utenti
autenticati.

%description -l ja
Mod_throttle ˤä Web Сǡ̤¤Ǥޤ
¤ϡġβۥۥȡǥ쥯ȥꡢꡢޤ
ǧڥ桼ѤˤĤǤޤ

%description -l pl
Ten modu Apache ma suy do zmniejszania obcienia serwera i ruchu
generowanego przez popularne hosty wirtualne, katalogi, pliki lub
uytkownikw zgodnie z obsugiwanymi polisami, ktre decyduj kiedy
opni lub odrzuci zapytanie. mod_throttle moe take ledzi i
tumi poczenia przychodzce z danego adresu IP lub danego,
autentykujcego si, uytkownika.

%description -l pt_BR
Descompresso "On-the-fly" de arquivos HTML para o Apache.

%description -l sv
Mod_throttle kan anvndas fr att begrnsa mngden data som din
webbserver skickar. Dessa grnser kan sttas fr enskilda virtuella
vrdar, kataloger, platser eller autenticerade anvndare.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%{?with_ipv6:%patch0 -p1}

%build
%{apxs} -o mod_%{mod_name}.so -c mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d,%{_pkglogdir}}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

sed -e 's/<!--#/<!--/g' index.shtml > mod_%{mod_name}.html

> $RPM_BUILD_ROOT%{_pkglogdir}/mod_throttle.runtime

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 3.1.2-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc *.txt *.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*
%attr(660,root,http) %ghost %{_pkglogdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_throttle.spec,v $
Revision 1.38  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.37  2006/04/14 17:15:51  glen
- use %service

Revision 1.36  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.35  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.34  2005/02/28 22:36:07  glen
- remove BR that builder can't stand; rel 3; STBR

Revision 1.33  2005/02/24 18:16:28  glen
- rel 2; STBR

Revision 1.32  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.31  2005/02/10 02:16:42  glen
- add logs/mod_throttle.runtime to package

Revision 1.30  2005/02/10 01:49:12  glen
- confdir enabled apache1
- added ipv6 bcond

Revision 1.29  2004/12/17 17:56:26  sparky
- Spanish summary/description fixes

Revision 1.28  2004/10/29 09:02:01  paladine
- "HTTP" unification

Revision 1.27  2004/09/25 09:28:19  radek
- cosmetics

Revision 1.26  2004/09/19 19:19:19  radek
- release 1: unifications / cleanup
- renamed to apache1-*; waiting for server-side cp

Revision 1.25  2004/09/01 10:42:42  qboosh
- License is BSD-like
- suexec seems not used for anything, removed define

Revision 1.23  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.22  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.21  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.20  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2002/12/12 01:33:18  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.18  2002/08/30 18:56:50  radek
- fixed html docs, new %doc

Revision 1.17  2002/08/30 10:21:09  radek
- release up, better IPv6 workaround

Revision 1.16  2002/08/29 20:30:14  radek
- restored ThrottleClientIP; won't work with IPv6, though

Revision 1.15  2002/08/29 00:34:23  radek
- turned off ThrottleClientIP; builds now

Revision 1.14  2002/08/13 15:06:22  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.13  2002/04/25 15:46:57  arturs
- fixed a small typo

Revision 1.12  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/17 21:12:30  ankry
- release 3

Revision 1.9  2002/02/17 19:01:43  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.8  2002/02/17 05:04:37  kloczek
- merge translations from Conectiva.

Revision 1.7  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.6  2002/01/18 02:12:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/19 08:47:35  qboosh
- es,pt_BR translations moved to proper place (apache-mod_gunzip.spec)
- added pl ones, cosmetics

Revision 1.4  2001/12/19 00:12:15  kloczek
- add full path to apxs in %build.

Revision 1.3  2001/12/18 23:48:07  kloczek
- merged translations from Conectiva.

Revision 1.2  2001/12/18 21:06:54  bonkey
- changed summary and adapterized

Revision 1.1  2001/12/18 20:46:03  bonkey
- initial, based a bit on mod_fastcgi
- doesn't compile because of lack of ipv6
